Skip additional income and go on to selection
curl --request POST \
--url https://api.example.com/v1/applications/{id}/additional-income/skip \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.example.com/v1/applications/{id}/additional-income/skip"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/v1/applications/{id}/additional-income/skip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/applications/{id}/additional-income/skip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/applications/{id}/additional-income/skip"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/applications/{id}/additional-income/skip")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/applications/{id}/additional-income/skip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_account_id": "<string>",
"step": "screening",
"status": "in_progress",
"is_first_loan": true,
"expires_at": "2023-11-07T05:31:56Z",
"offer": {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "prequalified",
"currency": "USD",
"max_amount_cents": 123,
"interest_cents": 123,
"hold_cents": 123,
"installment_count": 123,
"credit_level": 123,
"income_base_cents": 123,
"max_payment_cents": 123,
"installments": [
{
"seq": 123,
"amount_due_cents": 123,
"principal_cents": 123,
"interest_cents": 123
}
],
"income_verification": {
"platforms": [
"<string>"
]
}
},
"decline": {
"reasons": [
{
"code": "<string>",
"borrower_message": "<string>",
"how_to_improve": "<string>"
}
]
},
"loan": {
"loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currency": "USD",
"principal_cents": 123,
"interest_cents": 123,
"hold_cents": 123,
"outstanding_cents": 123,
"installments": [
{
"seq": 123,
"amount_due_cents": 123,
"principal_due_cents": 123,
"interest_due_cents": 123,
"amount_paid_cents": 123,
"due_date": "2023-12-25",
"provisional_due_date": "2023-12-25",
"paid_at": "2023-11-07T05:31:56Z",
"status": "<string>"
}
],
"instructions": [
{
"instruction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "place_hold",
"amount_cents": 123,
"currency": "USD",
"issued_at": "2023-11-07T05:31:56Z"
}
],
"deduction": {
"instruction_version": 2,
"status": "active",
"installment_seq": 123,
"amount_cents": 123,
"currency": "USD",
"deposit_filter": "inbound_bank_transfer_from_outside",
"max_deposit_pct": 100
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}API Reference
Skip additional income and go on to selection
Allowed at prequalified or additional_income.
POST
/
v1
/
applications
/
{id}
/
additional-income
/
skip
Skip additional income and go on to selection
curl --request POST \
--url https://api.example.com/v1/applications/{id}/additional-income/skip \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.example.com/v1/applications/{id}/additional-income/skip"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/v1/applications/{id}/additional-income/skip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/applications/{id}/additional-income/skip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/applications/{id}/additional-income/skip"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/applications/{id}/additional-income/skip")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/applications/{id}/additional-income/skip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_account_id": "<string>",
"step": "screening",
"status": "in_progress",
"is_first_loan": true,
"expires_at": "2023-11-07T05:31:56Z",
"offer": {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "prequalified",
"currency": "USD",
"max_amount_cents": 123,
"interest_cents": 123,
"hold_cents": 123,
"installment_count": 123,
"credit_level": 123,
"income_base_cents": 123,
"max_payment_cents": 123,
"installments": [
{
"seq": 123,
"amount_due_cents": 123,
"principal_cents": 123,
"interest_cents": 123
}
],
"income_verification": {
"platforms": [
"<string>"
]
}
},
"decline": {
"reasons": [
{
"code": "<string>",
"borrower_message": "<string>",
"how_to_improve": "<string>"
}
]
},
"loan": {
"loan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currency": "USD",
"principal_cents": 123,
"interest_cents": 123,
"hold_cents": 123,
"outstanding_cents": 123,
"installments": [
{
"seq": 123,
"amount_due_cents": 123,
"principal_due_cents": 123,
"interest_due_cents": 123,
"amount_paid_cents": 123,
"due_date": "2023-12-25",
"provisional_due_date": "2023-12-25",
"paid_at": "2023-11-07T05:31:56Z",
"status": "<string>"
}
],
"instructions": [
{
"instruction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "place_hold",
"amount_cents": 123,
"currency": "USD",
"issued_at": "2023-11-07T05:31:56Z"
}
],
"deduction": {
"instruction_version": 2,
"status": "active",
"installment_seq": 123,
"amount_cents": 123,
"currency": "USD",
"deposit_filter": "inbound_bank_transfer_from_outside",
"max_deposit_pct": 100
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
},
"request_id": "<string>"
}Headers
Response
The application at selection
